### THIS IS THE "NOT PRESERVED" OPTIONS VERSION OF THE 1.4.9.5 TO 1.5.0.3 UPGRADE SCRIPT
### DO NOT USE THIS UNLESS YOU DONT USE OPTIONS OR DONT CARE THAT THEY ARE NOT PRESERVED
### THIS VERSION WILL OVERWRITE THE PRODUCT OPTION TABLES AND CLEAR ANY EXISTING DATA FOR PRODUCT OPTIONS
### PRODUCTS, CATEGORIES AND OTHER DATABASE DATA WILL STILL BE PRESERVED. THIS ONLY DELETES PRODUCT OPTIONS


# OPENCART UPGRADE SCRIPT
# WWW.OPENCART.COM
# Qphoria


# DO NOT RUN THIS ENTIRE FILE MANUALLY THROUGH PHPMYADMIN OR OTHER MYSQL DB TOOL
# THIS FILE IS GENERATED FOR USE WITH THE UPGRADE.PHP SCRIPT LOCATED IN THE INSTALL FOLDER
# THE UPGRADE.PHP SCRIPT IS DESIGNED TO VERIFY THE TABLES BEFORE EXECUTING WHICH PREVENTS ERRORS

# IF YOU NEED TO MANUALLY RUN THEN YOU CAN DO IT BY INDIVIDUAL VERSIONS. EACH SECTION IS LABELED.
# BE SURE YOU CHANGE THE PREFIX "oc_" TO YOUR PREFIX OR REMOVE IT IF NOT USING A PREFIX


### Start 1.3.2
SET FOREIGN_KEY_CHECKS = 0;

#
# DDL START
#
CREATE TABLE IF NOT EXISTS oc_customer_group (
    customer_group_id int(11) NOT NULL COMMENT '' auto_increment,
    name varchar(32) NOT NULL COMMENT '' COLLATE utf8_unicode_ci,
    PRIMARY KEY (customer_group_id)
) DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

CREATE TABLE IF NOT EXISTS oc_measurement_class (
    measurement_class_id int(11) NOT NULL COMMENT '' auto_increment,
    language_id int(11) NOT NULL DEFAULT 0 COMMENT '',
    title varchar(32) NOT NULL COMMENT '' COLLATE utf8_unicode_ci,
    unit varchar(4) NOT NULL COMMENT '' COLLATE utf8_unicode_ci,
    PRIMARY KEY (measurement_class_id, language_id)
) DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

CREATE TABLE IF NOT EXISTS oc_measurement_rule (
    from_id int(11) NOT NULL DEFAULT 0 COMMENT '',
    to_id int(11) NOT NULL DEFAULT 0 COMMENT '',
    rule decimal(15,4) NOT NULL DEFAULT '0.0000' COMMENT ''
) DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

ALTER TABLE oc_customer ADD customer_group_id int(11) NOT NULL DEFAULT 0 COMMENT '' AFTER status;
ALTER TABLE oc_customer MODIFY cart text NULL DEFAULT NULL COMMENT '' COLLATE utf8_unicode_ci;
ALTER TABLE oc_customer ALTER ip SET DEFAULT 0;
#
#  Fieldformat of
#    oc_customer.cart changed from text NOT NULL COMMENT '' COLLATE utf8_unicode_ci to text NULL DEFAULT NULL COMMENT '' COLLATE utf8_unicode_ci.
#  Possibly data modifications needed!
#

ALTER TABLE oc_order_product DROP discount;


ALTER TABLE oc_product ADD measurement_class_id int(11) NOT NULL DEFAULT 0 COMMENT '' AFTER height;
ALTER TABLE oc_product ALTER length SET DEFAULT 0.00;
ALTER TABLE oc_product ALTER width SET DEFAULT 0.00;
ALTER TABLE oc_product ALTER height SET DEFAULT 0.00;


ALTER TABLE oc_product_discount ADD customer_group_id int(11) NOT NULL DEFAULT 0 COMMENT '' AFTER product_id;
ALTER TABLE oc_product_discount ADD priority int(5) NOT NULL DEFAULT '1' COMMENT '' AFTER quantity;
ALTER TABLE oc_product_discount ADD price decimal(15,4) NOT NULL DEFAULT '0.0000' COMMENT '' AFTER priority;
ALTER TABLE oc_product_discount ADD date_start date NOT NULL DEFAULT '0000-00-00' COMMENT '' AFTER price;
ALTER TABLE oc_product_discount ADD date_end date NOT NULL DEFAULT '0000-00-00' COMMENT '' AFTER date_start;
ALTER TABLE oc_product_discount ALTER quantity SET DEFAULT 0;
ALTER TABLE oc_product_discount DROP discount;


ALTER TABLE oc_product_special ADD customer_group_id int(11) NOT NULL DEFAULT 0 COMMENT '' AFTER product_id;
ALTER TABLE oc_product_special ADD priority int(5) NOT NULL DEFAULT '1' COMMENT '' AFTER customer_group_id;
ALTER TABLE oc_product_special ALTER price SET DEFAULT 0.0000;
ALTER TABLE oc_product_special ALTER date_start SET DEFAULT '0000-00-00';
ALTER TABLE oc_product_special ALTER date_end SET DEFAULT '0000-00-00';

INSERT INTO `oc_setting` (`setting_id` ,`group` ,`key` ,`value`) VALUES (NULL , 'config', 'config_error_filename', 'error.log') ON DUPLICATE KEY UPDATE setting_id=setting_id;

#
# DDL END
#

SET FOREIGN_KEY_CHECKS = 1;


### Start 1.3.4
SET FOREIGN_KEY_CHECKS = 0;

#
# DDL START
#
ALTER TABLE oc_category MODIFY image varchar(255) NULL DEFAULT NULL COMMENT '' COLLATE utf8_unicode_ci;
#
#  Fieldformat of
#    oc_category.image changed from varchar(255) NOT NULL COMMENT '' COLLATE utf8_unicode_ci to varchar(255) NULL DEFAULT NULL COMMENT '' COLLATE utf8_unicode_ci.
#  Possibly data modifications needed!
#

ALTER TABLE oc_category_description MODIFY meta_description varchar(255) NOT NULL COMMENT '' COLLATE utf8_unicode_ci;
#
#  Fieldformat of
#    oc_category_description.meta_description changed from varchar(66) NOT NULL COMMENT '' COLLATE utf8_unicode_ci to varchar(255) NOT NULL COMMENT '' COLLATE utf8_unicode_ci.
#  Possibly data modifications needed!
#

ALTER TABLE oc_coupon ADD logged int(1) NOT NULL DEFAULT 0 COMMENT '' AFTER discount;
ALTER TABLE oc_coupon ALTER date_start SET DEFAULT '0000-00-00';
ALTER TABLE oc_coupon ALTER date_end SET DEFAULT '0000-00-00';


ALTER TABLE oc_manufacturer MODIFY image varchar(255) NULL DEFAULT NULL COMMENT '' COLLATE utf8_unicode_ci;
#
#  Fieldformat of
#    oc_manufacturer.image changed from varchar(255) NOT NULL COMMENT '' COLLATE utf8_unicode_ci to varchar(255) NULL DEFAULT NULL COMMENT '' COLLATE utf8_unicode_ci.
#  Possibly data modifications needed!
#

ALTER TABLE oc_order ADD shipping_zone_id int(11) NOT NULL DEFAULT 0 COMMENT '' AFTER shipping_zone;
ALTER TABLE oc_order ADD shipping_country_id int(11) NOT NULL DEFAULT 0 COMMENT '' AFTER shipping_country;
ALTER TABLE oc_order ADD payment_zone_id int(11) NOT NULL DEFAULT 0 COMMENT '' AFTER payment_zone;
ALTER TABLE oc_order ADD payment_country_id int(11) NOT NULL DEFAULT 0 COMMENT '' AFTER payment_country;


ALTER TABLE oc_order_option ADD product_option_value_id int(11) NOT NULL DEFAULT '0' COMMENT '' AFTER order_product_id;

ALTER TABLE oc_product ADD sku varchar(64) NOT NULL COMMENT '' COLLATE utf8_unicode_ci AFTER model;
ALTER TABLE oc_product ADD location varchar(128) NOT NULL COMMENT '' COLLATE utf8_unicode_ci AFTER sku;
ALTER TABLE oc_product MODIFY model varchar(64) NOT NULL COMMENT '' COLLATE utf8_unicode_ci;
ALTER TABLE oc_product MODIFY image varchar(255) NULL DEFAULT NULL COMMENT '' COLLATE utf8_unicode_ci;
ALTER TABLE oc_product ALTER measurement_class_id SET DEFAULT 0;
ALTER TABLE oc_product DROP sort_order;
#
#  Fieldformats of
#    oc_product.model changed from varchar(24) NOT NULL COMMENT '' COLLATE utf8_unicode_ci to varchar(64) NOT NULL COMMENT '' COLLATE utf8_unicode_ci.
#    oc_product.image changed from varchar(255) NOT NULL COMMENT '' COLLATE utf8_unicode_ci to varchar(255) NULL DEFAULT NULL COMMENT '' COLLATE utf8_unicode_ci.
#  Possibly data modifications needed!
#

ALTER TABLE oc_product_description MODIFY meta_description varchar(255) NOT NULL COMMENT '' COLLATE utf8_unicode_ci;
#
#  Fieldformat of
#    oc_product_description.meta_description changed from varchar(66) NOT NULL COMMENT '' COLLATE utf8_unicode_ci to varchar(255) NOT NULL COMMENT '' COLLATE utf8_unicode_ci.
#  Possibly data modifications needed!
#

ALTER TABLE oc_product_image MODIFY image varchar(255) NULL DEFAULT NULL COMMENT '' COLLATE utf8_unicode_ci;
#
#  Fieldformat of
#    oc_product_image.image changed from varchar(255) NOT NULL COMMENT '' COLLATE utf8_unicode_ci to varchar(255) NULL DEFAULT NULL COMMENT '' COLLATE utf8_unicode_ci.
#  Possibly data modifications needed!
#

ALTER TABLE oc_product_option_value ADD quantity int(4) NOT NULL DEFAULT '0' COMMENT '' AFTER product_id;
ALTER TABLE oc_product_option_value ADD subtract int(1) NOT NULL DEFAULT '0' COMMENT '' AFTER quantity;


#
# DDL END
#

SET FOREIGN_KEY_CHECKS = 1;


### Start 1.4.0
SET FOREIGN_KEY_CHECKS = 0;

#
# DDL START
#
ALTER TABLE oc_user DROP INDEX username;


#
# DDL END
#

SET FOREIGN_KEY_CHECKS = 1;


### Start 1.4.1
SET FOREIGN_KEY_CHECKS = 0;

#
# DDL START
#

DELETE FROM oc_extension WHERE `type` = 'module' AND `key` = 'currency';
DELETE FROM oc_setting WHERE `group` = 'currency';

CREATE TABLE IF NOT EXISTS oc_category_to_store (
    category_id int(11) NOT NULL DEFAULT 0 COMMENT '',
    store_id int(11) NOT NULL DEFAULT 0 COMMENT '',
    PRIMARY KEY (category_id, store_id)
) DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

CREATE TABLE IF NOT EXISTS oc_information_to_store (
    information_id int(11) NOT NULL DEFAULT 0 COMMENT '',
    store_id int(11) NOT NULL DEFAULT 0 COMMENT '',
    PRIMARY KEY (information_id, store_id)
) DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

CREATE TABLE IF NOT EXISTS oc_length_class (
    length_class_id int(11) NOT NULL COMMENT '' auto_increment,
    value decimal(15,8) NOT NULL COMMENT '',
    PRIMARY KEY (length_class_id)
) DEFAULT CHARSET=utf8 COLLATE=utf8_bin;


INSERT INTO `oc_length_class` (`length_class_id`, `value`) VALUES (1, '1.00000000') ON DUPLICATE KEY UPDATE length_class_id=length_class_id;
INSERT INTO `oc_length_class` (`length_class_id`, `value`) VALUES (2, '10.00000000') ON DUPLICATE KEY UPDATE length_class_id=length_class_id;
INSERT INTO `oc_length_class` (`length_class_id`, `value`) VALUES (3, '0.39370000') ON DUPLICATE KEY UPDATE length_class_id=length_class_id;

CREATE TABLE IF NOT EXISTS oc_length_class_description (
    length_class_id int(11) NOT NULL COMMENT '' auto_increment,
    language_id int(11) NOT NULL DEFAULT 0 COMMENT '',
    title varchar(32) NOT NULL COMMENT '' COLLATE utf8_bin,
    unit varchar(4) NOT NULL COMMENT '' COLLATE utf8_bin,
    PRIMARY KEY (length_class_id, language_id)
) DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

INSERT INTO `oc_length_class_description` (`length_class_id`, `language_id`, `title`, `unit`) VALUES (1, 1, 'Centimeter', 'cm') ON DUPLICATE KEY UPDATE length_class_id=length_class_id;
INSERT INTO `oc_length_class_description` (`length_class_id`, `language_id`, `title`, `unit`) VALUES (2, 1, 'Millimeter', 'mm') ON DUPLICATE KEY UPDATE length_class_id=length_class_id;
INSERT INTO `oc_length_class_description` (`length_class_id`, `language_id`, `title`, `unit`) VALUES (3, 1, 'Inch', 'in') ON DUPLICATE KEY UPDATE length_class_id=length_class_id;

CREATE TABLE IF NOT EXISTS oc_manufacturer_to_store (
    manufacturer_id int(11) NOT NULL DEFAULT 0 COMMENT '',
    store_id int(11) NOT NULL DEFAULT 0 COMMENT '',
    PRIMARY KEY (manufacturer_id, store_id)
) DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

CREATE TABLE IF NOT EXISTS oc_product_to_store (
    product_id int(11) NOT NULL DEFAULT 0 COMMENT '',
    store_id int(11) NOT NULL DEFAULT 0 COMMENT '',
    PRIMARY KEY (product_id, store_id)
) DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

CREATE TABLE IF NOT EXISTS oc_store (
    store_id int(11) NOT NULL COMMENT '' auto_increment,
    name varchar(64) NOT NULL COMMENT '' COLLATE utf8_bin,
    url varchar(255) NOT NULL COMMENT '' COLLATE utf8_bin,
    title varchar(128) NOT NULL COMMENT '' COLLATE utf8_bin,
    meta_description varchar(255) NOT NULL COMMENT '' COLLATE utf8_bin,
    template varchar(64) NOT NULL COMMENT '' COLLATE utf8_bin,
    country_id int(11) NOT NULL DEFAULT 0 COMMENT '',
    zone_id int(11) NOT NULL DEFAULT 0 COMMENT '',
    language varchar(5) NOT NULL COMMENT '' COLLATE utf8_bin,
    currency varchar(3) NOT NULL COMMENT '' COLLATE utf8_bin,
    tax int(1) NOT NULL DEFAULT '0' COMMENT '',
    customer_group_id int(11) NOT NULL DEFAULT 0 COMMENT '',
    customer_price int(1) NOT NULL DEFAULT 0 COMMENT '',
    customer_approval int(1) NOT NULL DEFAULT 0 COMMENT '',
    guest_checkout int(1) NOT NULL DEFAULT 0 COMMENT '',
    account_id int(11) NOT NULL DEFAULT '0' COMMENT '',
    checkout_id int(11) NOT NULL DEFAULT '0' COMMENT '',
    stock_display int(1) NOT NULL DEFAULT 0 COMMENT '',
    stock_check int(1) NOT NULL DEFAULT 0 COMMENT '',
    stock_checkout int(1) NOT NULL DEFAULT 0 COMMENT '',
    stock_subtract int(1) NOT NULL DEFAULT 0 COMMENT '',
    order_status_id int(11) NOT NULL DEFAULT 0 COMMENT '',
    stock_status_id int(11) NOT NULL DEFAULT 0 COMMENT '',
    logo varchar(255) NOT NULL COMMENT '' COLLATE utf8_bin,
    icon varchar(255) NOT NULL COMMENT '' COLLATE utf8_bin,
    image_thumb_width int(5) NOT NULL DEFAULT 0 COMMENT '',
    image_thumb_height int(5) NOT NULL DEFAULT 0 COMMENT '',
    image_popup_width int(5) NOT NULL DEFAULT 0 COMMENT '',
    image_popup_height int(5) NOT NULL DEFAULT 0 COMMENT '',
    image_category_width int(5) NOT NULL DEFAULT 0 COMMENT '',
    image_category_height int(5) NOT NULL DEFAULT 0 COMMENT '',
    image_product_width int(5) NOT NULL DEFAULT 0 COMMENT '',
    image_product_height int(5) NOT NULL DEFAULT 0 COMMENT '',
    image_additional_width int(5) NOT NULL DEFAULT 0 COMMENT '',
    image_additional_height int(5) NOT NULL DEFAULT 0 COMMENT '',
    image_related_width int(5) NOT NULL DEFAULT 0 COMMENT '',
    image_related_height int(5) NOT NULL DEFAULT 0 COMMENT '',
    image_cart_width int(5) NOT NULL DEFAULT 0 COMMENT '',
    image_cart_height int(5) NOT NULL DEFAULT 0 COMMENT '',
    PRIMARY KEY (store_id)
) DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

CREATE TABLE IF NOT EXISTS oc_store_description (
    store_id int(11) NOT NULL DEFAULT 0 COMMENT '',
    language_id int(11) NOT NULL DEFAULT 0 COMMENT '',
    description text NOT NULL COMMENT '' COLLATE utf8_bin,
    PRIMARY KEY (store_id, language_id)
) DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

DROP TABLE IF EXISTS `oc_weight_class`;

CREATE TABLE IF NOT EXISTS `oc_weight_class` (
  `weight_class_id` int(11) NOT NULL AUTO_INCREMENT,
  `value` decimal(15,8) NOT NULL DEFAULT '0.00000000',
  PRIMARY KEY (`weight_class_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_bin AUTO_INCREMENT=7 ;

--
-- Dumping data for table `oc_weight_class`
--

INSERT INTO `oc_weight_class` (`weight_class_id`, `value`) VALUES (1, '1.00000000') ON DUPLICATE KEY UPDATE weight_class_id=weight_class_id;
INSERT INTO `oc_weight_class` (`weight_class_id`, `value`) VALUES (2, '1000.00000000') ON DUPLICATE KEY UPDATE weight_class_id=weight_class_id;
INSERT INTO `oc_weight_class` (`weight_class_id`, `value`) VALUES (3, '2.20460000') ON DUPLICATE KEY UPDATE weight_class_id=weight_class_id;
INSERT INTO `oc_weight_class` (`weight_class_id`, `value`) VALUES (4, '35.27400000') ON DUPLICATE KEY UPDATE weight_class_id=weight_class_id;
INSERT INTO `oc_weight_class` (`weight_class_id`, `value`) VALUES (5, '2.20460000') ON DUPLICATE KEY UPDATE weight_class_id=weight_class_id;
INSERT INTO `oc_weight_class` (`weight_class_id`, `value`) VALUES (6, '35.27400000') ON DUPLICATE KEY UPDATE weight_class_id=weight_class_id;

-- --------------------------------------------------------

--
-- Table structure for table `oc_weight_class_description`
--


CREATE TABLE IF NOT EXISTS oc_weight_class_description (
    weight_class_id int(11) NOT NULL COMMENT '' auto_increment,
    language_id int(11) NOT NULL DEFAULT 0 COMMENT '',
    title varchar(32) NOT NULL COMMENT '' COLLATE utf8_bin,
    unit varchar(4) NOT NULL COMMENT '' COLLATE utf8_bin,
    PRIMARY KEY (weight_class_id, language_id)
) DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

INSERT INTO `oc_weight_class_description` (`weight_class_id`, `language_id`, `title`, `unit`) VALUES (1, 1, 'Kilogram', 'kg') ON DUPLICATE KEY UPDATE weight_class_id=weight_class_id;
INSERT INTO `oc_weight_class_description` (`weight_class_id`, `language_id`, `title`, `unit`) VALUES (2, 1, 'Gram', 'g') ON DUPLICATE KEY UPDATE weight_class_id=weight_class_id;
INSERT INTO `oc_weight_class_description` (`weight_class_id`, `language_id`, `title`, `unit`) VALUES (3, 1, 'Pounds ', 'lbs') ON DUPLICATE KEY UPDATE weight_class_id=weight_class_id;
INSERT INTO `oc_weight_class_description` (`weight_class_id`, `language_id`, `title`, `unit`) VALUES (4, 1, 'Ounces', 'ozs') ON DUPLICATE KEY UPDATE weight_class_id=weight_class_id;
INSERT INTO `oc_weight_class_description` (`weight_class_id`, `language_id`, `title`, `unit`) VALUES (5, 1, 'Pound ', 'lb') ON DUPLICATE KEY UPDATE weight_class_id=weight_class_id;
INSERT INTO `oc_weight_class_description` (`weight_class_id`, `language_id`, `title`, `unit`) VALUES (6, 1, 'Ounce', 'oz') ON DUPLICATE KEY UPDATE weight_class_id=weight_class_id;

UPDATE `oc_product` SET `weight_class_id` = '5' WHERE `weight_class_id` = '3';
UPDATE `oc_product` SET `weight_class_id` = '6' WHERE `weight_class_id` = '4';

ALTER TABLE oc_address DEFAULT CHARSET=utf8 COLLATE=utf8_bin;


ALTER TABLE oc_category DEFAULT CHARSET=utf8 COLLATE=utf8_bin;


ALTER TABLE oc_category_description DEFAULT CHARSET=utf8 COLLATE=utf8_bin;


ALTER TABLE oc_country DEFAULT CHARSET=utf8 COLLATE=utf8_bin;


ALTER TABLE oc_coupon DEFAULT CHARSET=utf8 COLLATE=utf8_bin;


ALTER TABLE oc_coupon_description DEFAULT CHARSET=utf8 COLLATE=utf8_bin;


ALTER TABLE oc_coupon_product DEFAULT CHARSET=utf8 COLLATE=utf8_bin;


ALTER TABLE oc_currency DEFAULT CHARSET=utf8 COLLATE=utf8_bin;


ALTER TABLE oc_customer ADD approved int(1) NOT NULL DEFAULT '0' COMMENT '' AFTER status, DEFAULT CHARSET=utf8 COLLATE=utf8_bin;


ALTER TABLE oc_customer_group DEFAULT CHARSET=utf8 COLLATE=utf8_bin;


ALTER TABLE oc_download DEFAULT CHARSET=utf8 COLLATE=utf8_bin;


ALTER TABLE oc_download_description DEFAULT CHARSET=utf8 COLLATE=utf8_bin;


ALTER TABLE oc_extension DEFAULT CHARSET=utf8 COLLATE=utf8_bin;


ALTER TABLE oc_geo_zone DEFAULT CHARSET=utf8 COLLATE=utf8_bin;


ALTER TABLE oc_information DEFAULT CHARSET=utf8 COLLATE=utf8_bin;


ALTER TABLE oc_information_description DEFAULT CHARSET=utf8 COLLATE=utf8_bin;


ALTER TABLE oc_language DEFAULT CHARSET=utf8 COLLATE=utf8_bin;


ALTER TABLE oc_manufacturer DEFAULT CHARSET=utf8 COLLATE=utf8_bin;


DROP TABLE IF EXISTS oc_measurement_class;

DROP TABLE IF EXISTS oc_measurement_rule;

ALTER TABLE oc_order ADD store_id int(11) NOT NULL DEFAULT '0' COMMENT '' AFTER order_id;
ALTER TABLE oc_order ADD store_name varchar(64) NOT NULL COMMENT '' COLLATE utf8_bin AFTER store_id;
ALTER TABLE oc_order ADD store_url varchar(255) NOT NULL COMMENT '' COLLATE utf8_bin AFTER store_name;
ALTER TABLE oc_order ADD customer_group_id int(11) NOT NULL DEFAULT '0' COMMENT '' AFTER customer_id;
ALTER TABLE oc_order ALTER customer_id SET DEFAULT 0, DEFAULT CHARSET=utf8 COLLATE=utf8_bin;


ALTER TABLE oc_order_download DEFAULT CHARSET=utf8 COLLATE=utf8_bin;


ALTER TABLE oc_order_history DEFAULT CHARSET=utf8 COLLATE=utf8_bin;


ALTER TABLE oc_order_option DEFAULT CHARSET=utf8 COLLATE=utf8_bin;


ALTER TABLE oc_order_product DEFAULT CHARSET=utf8 COLLATE=utf8_bin;


ALTER TABLE oc_order_status DEFAULT CHARSET=utf8 COLLATE=utf8_bin;


ALTER TABLE oc_order_total DEFAULT CHARSET=utf8 COLLATE=utf8_bin;


ALTER TABLE oc_product ADD length_class_id int(11) NOT NULL DEFAULT '0' COMMENT '' AFTER height;
ALTER TABLE oc_product DROP measurement_class_id, DEFAULT CHARSET=utf8 COLLATE=utf8_bin;


ALTER TABLE oc_product_description DEFAULT CHARSET=utf8 COLLATE=utf8_bin;


ALTER TABLE oc_product_discount DEFAULT CHARSET=utf8 COLLATE=utf8_bin;


ALTER TABLE oc_product_image DEFAULT CHARSET=utf8 COLLATE=utf8_bin;


ALTER TABLE oc_product_option DEFAULT CHARSET=utf8 COLLATE=utf8_bin;


ALTER TABLE oc_product_option_description DEFAULT CHARSET=utf8 COLLATE=utf8_bin;


ALTER TABLE oc_product_option_value DEFAULT CHARSET=utf8 COLLATE=utf8_bin;


ALTER TABLE oc_product_option_value_description DEFAULT CHARSET=utf8 COLLATE=utf8_bin;


ALTER TABLE oc_product_related DEFAULT CHARSET=utf8 COLLATE=utf8_bin;


ALTER TABLE oc_product_special DEFAULT CHARSET=utf8 COLLATE=utf8_bin;


ALTER TABLE oc_product_to_category DEFAULT CHARSET=utf8 COLLATE=utf8_bin;


ALTER TABLE oc_product_to_download DEFAULT CHARSET=utf8 COLLATE=utf8_bin;


ALTER TABLE oc_review DEFAULT CHARSET=utf8 COLLATE=utf8_bin;


ALTER TABLE oc_setting DEFAULT CHARSET=utf8 COLLATE=utf8_bin;


ALTER TABLE oc_stock_status DEFAULT CHARSET=utf8 COLLATE=utf8_bin;


ALTER TABLE oc_tax_class DEFAULT CHARSET=utf8 COLLATE=utf8_bin;


ALTER TABLE oc_tax_rate DEFAULT CHARSET=utf8 COLLATE=utf8_bin;


ALTER TABLE oc_url_alias DEFAULT CHARSET=utf8 COLLATE=utf8_bin;


ALTER TABLE oc_user DEFAULT CHARSET=utf8 COLLATE=utf8_bin;


ALTER TABLE oc_user_group DEFAULT CHARSET=utf8 COLLATE=utf8_bin;


ALTER TABLE oc_weight_class ADD value decimal(15,8) NOT NULL DEFAULT '0.00000000' COMMENT '' AFTER weight_class_id;
ALTER TABLE oc_weight_class DROP language_id;
ALTER TABLE oc_weight_class DROP title;
ALTER TABLE oc_weight_class DROP unit;
ALTER TABLE oc_weight_class DROP PRIMARY KEY;
ALTER TABLE oc_weight_class ADD PRIMARY KEY (weight_class_id), DEFAULT CHARSET=utf8 COLLATE=utf8_bin;


DROP TABLE IF EXISTS oc_weight_rule;

ALTER TABLE oc_zone DEFAULT CHARSET=utf8 COLLATE=utf8_bin;


ALTER TABLE oc_zone_to_geo_zone DEFAULT CHARSET=utf8 COLLATE=utf8_bin;


#
# DDL END
#

SET FOREIGN_KEY_CHECKS = 1;


### Start 1.4.3
ALTER TABLE oc_store ADD `ssl` int(1) NOT NULL DEFAULT '0' COMMENT '' AFTER url;


### Start 1.4.5
ALTER TABLE oc_customer ADD store_id int(11) NOT NULL DEFAULT '0' COMMENT '' AFTER customer_id;


ALTER TABLE oc_order ADD invoice_id int(11) NOT NULL DEFAULT '0' COMMENT '' AFTER order_id;
ALTER TABLE oc_order ADD invoice_prefix varchar(10) NOT NULL COMMENT '' COLLATE utf8_bin AFTER invoice_id;


ALTER TABLE oc_store ALTER `ssl` DROP DEFAULT;
ALTER TABLE oc_store DROP stock_status_id;


### Start 1.4.6


### Start 1.4.7

SET @id=NULL;
SET @dat='';
SELECT @dat:=`value` FROM oc_setting WHERE `group` = 'config' and `key` = 'config_description_1';
SELECT @id:=`setting_id` FROM oc_setting WHERE `group` = 'config' and `key` = 'config_description_1';
SELECT @dat:=`value` FROM oc_setting WHERE `group` = 'config' and `key` = 'config_welcome_1';
INSERT INTO `oc_setting` (`setting_id`, `group`, `key`, `value`) VALUES (@id, 'config', 'config_description_1', @dat) ON DUPLICATE KEY UPDATE setting_id=setting_id;

ALTER TABLE `oc_country` ADD `status` INT( 1 ) NOT NULL DEFAULT '1';

ALTER TABLE `oc_zone` ADD `status` INT( 1 ) NOT NULL DEFAULT '1';

ALTER TABLE `oc_category` ADD `status` INT( 1 ) NOT NULL DEFAULT '1';

ALTER TABLE `oc_information` ADD `status` INT( 1 ) NOT NULL DEFAULT '1';


CREATE TABLE IF NOT EXISTS `oc_product_featured` (
  `product_id` int(11) NOT NULL default '0'
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `oc_product_tags` (
  `product_id` int(11) NOT NULL,
  `tag` varchar(32) NOT NULL,
  `language_id` int(11) NOT NULL,
  PRIMARY KEY  (`product_id`,`tag`,`language_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


INSERT INTO `oc_setting` (`setting_id`, `group`, `key`, `value`) VALUES (NULL, 'config', 'config_catalog_limit', '12') ON DUPLICATE KEY UPDATE setting_id=setting_id;
INSERT INTO `oc_setting` (`setting_id`, `group`, `key`, `value`) VALUES (NULL, 'config', 'config_admin_limit', '20') ON DUPLICATE KEY UPDATE setting_id=setting_id;

ALTER TABLE `oc_store` ADD `catalog_limit` INT( 4 ) NOT NULL DEFAULT '12';
ALTER TABLE `oc_store` ADD `cart_weight` INT( 1 ) NOT NULL;

### Start 1.4.8

# Update the default configs for compression and new review field
INSERT INTO `oc_setting` (`setting_id` ,`group` ,`key` ,`value`) VALUES (NULL , 'config', 'config_compression', '0') ON DUPLICATE KEY UPDATE setting_id=setting_id;
INSERT INTO `oc_setting` (`setting_id`, `group`, `key`, `value`) VALUES (NULL, 'config', 'config_review', '1') ON DUPLICATE KEY UPDATE setting_id=setting_id;

# Remove existing entries for latest sidebox module so that it can replace the homepage latest
DELETE FROM oc_setting WHERE `group` = 'latest';
INSERT INTO `oc_setting` (`setting_id` ,`group` ,`key` ,`value`) VALUES (NULL, 'latest', 'latest_limit', '8') ON DUPLICATE KEY UPDATE setting_id=setting_id;
INSERT INTO `oc_setting` (`setting_id` ,`group` ,`key` ,`value`) VALUES (NULL, 'latest', 'latest_position', 'home') ON DUPLICATE KEY UPDATE setting_id=setting_id;
INSERT INTO `oc_setting` (`setting_id` ,`group` ,`key` ,`value`) VALUES (NULL, 'latest', 'latest_status', '1') ON DUPLICATE KEY UPDATE setting_id=setting_id;
INSERT INTO `oc_setting` (`setting_id` ,`group` ,`key` ,`value`) VALUES (NULL, 'latest', 'latest_sort_order', '0') ON DUPLICATE KEY UPDATE setting_id=setting_id;
DELETE FROM `oc_extension` WHERE `type` = 'module' AND `key` = 'latest';
INSERT INTO `oc_extension` (`extension_id`, `type`, `key`) VALUES (NULL, 'module', 'latest') ON DUPLICATE KEY UPDATE extension_id=extension_id;

# Add Meta Keywords
ALTER TABLE `oc_category_description` MODIFY name varchar(255) NOT NULL COMMENT '' COLLATE utf8_bin;
ALTER TABLE `oc_category_description` ADD `meta_keywords` varchar(255) NOT NULL COMMENT '' COLLATE utf8_bin;
ALTER TABLE `oc_product_description` ADD `meta_keywords` varchar(255) NOT NULL COMMENT '' COLLATE utf8_bin;

# Add additional fields to products for new features
ALTER TABLE `oc_product` ADD `cost` DECIMAL(15,4) NOT NULL DEFAULT '0.0000' COMMENT '';
ALTER TABLE `oc_product` ADD `sort_order` int(11) NOT NULL DEFAULT '0' COMMENT '';
ALTER TABLE `oc_product` ADD `minimum` int(11) NOT NULL DEFAULT '1' COMMENT '';
ALTER TABLE `oc_product` ADD `subtract` int(1) NOT NULL DEFAULT '1' COMMENT '';
ALTER TABLE `oc_order_product` ADD `subtract` int(1) NOT NULL DEFAULT '0' COMMENT '';

# Stock subtract is at product level now so no need at store level.
ALTER TABLE `oc_store` DROP stock_subtract;

### Start 1.4.9
ALTER TABLE oc_order_product DROP subtract;

UPDATE `oc_setting` SET `value` = '0' WHERE `key` = 'pp_standard_status';

DELETE FROM `oc_zone` WHERE `code` = 'ANT';
DELETE FROM `oc_zone` WHERE `code` = 'ARM';
DELETE FROM `oc_zone` WHERE `code` = 'DOW';
DELETE FROM `oc_zone` WHERE `code` = 'FER';
DELETE FROM `oc_zone` WHERE `code` = 'LDY';
DELETE FROM `oc_zone` WHERE `code` = 'TYR';

INSERT INTO `oc_zone` (`zone_id`, `country_id`, `code`, `name`, `status`) VALUES (NULL, 222, 'ANT', 'County Antrim', 1) ON DUPLICATE KEY UPDATE zone_id=zone_id;
INSERT INTO `oc_zone` (`zone_id`, `country_id`, `code`, `name`, `status`) VALUES (NULL, 222, 'ARM', 'County Armagh', 1) ON DUPLICATE KEY UPDATE zone_id=zone_id;
INSERT INTO `oc_zone` (`zone_id`, `country_id`, `code`, `name`, `status`) VALUES (NULL, 222, 'DOW', 'County Down', 1) ON DUPLICATE KEY UPDATE zone_id=zone_id;
INSERT INTO `oc_zone` (`zone_id`, `country_id`, `code`, `name`, `status`) VALUES (NULL, 222, 'FER', 'County Fermanagh', 1) ON DUPLICATE KEY UPDATE zone_id=zone_id;
INSERT INTO `oc_zone` (`zone_id`, `country_id`, `code`, `name`, `status`) VALUES (NULL, 222, 'LDY', 'County Londonderry', 1) ON DUPLICATE KEY UPDATE zone_id=zone_id;
INSERT INTO `oc_zone` (`zone_id`, `country_id`, `code`, `name`, `status`) VALUES (NULL, 222, 'TYR', 'County Tyrone', 1) ON DUPLICATE KEY UPDATE zone_id=zone_id;

ALTER TABLE `oc_product_special` ADD INDEX ( `product_id` ) ;
ALTER TABLE `oc_product_discount` ADD INDEX ( `product_id` ) ;
ALTER TABLE `oc_product_related` ADD INDEX ( `product_id` ) ;
ALTER TABLE `oc_review` ADD INDEX ( `product_id` ) ;

ALTER TABLE `oc_country` ADD `postcode_required` int(1) NOT NULL DEFAULT '1' ;
UPDATE `oc_country` SET `postcode_required` = 0 WHERE iso_code_3 = 'IRL';
UPDATE `oc_country` SET `postcode_required` = 0 WHERE iso_code_3 = 'HKG';
UPDATE `oc_country` SET `postcode_required` = 0 WHERE iso_code_3 = 'PAN';

### Start 1.4.9.2
DELETE FROM `oc_zone` WHERE `code` = 'CMA';
INSERT INTO `oc_zone` (`zone_id`, `country_id`, `code`, `name`, `status`) VALUES (NULL, 222, 'CMA', 'Cumbria', 1) ON DUPLICATE KEY UPDATE zone_id=zone_id;

### Start 1.4.9.3
# None

### Start 1.4.9.4
ALTER TABLE `oc_order` ADD `invoice_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00' AFTER invoice_prefix;

ALTER TABLE `oc_order` MODIFY `invoice_prefix` varchar(24) COLLATE utf8_bin NOT NULL;

INSERT INTO `oc_country` (`country_id`, `name`, `iso_code_2`, `iso_code_3`, `address_format`, `postcode_required`, `status`) VALUES (NULL, 'Channel Islands', 'CI', 'CHI', '', 0, 1) ON DUPLICATE KEY UPDATE country_id=country_id;

SET @cid='';
SELECT @cid:=`country_id` FROM oc_country WHERE `iso_code_2` = 'CI' and `name` = 'Channel Islands';
INSERT INTO `oc_zone` (`zone_id`, `country_id`, `code`, `name`, `status`) VALUES (NULL, @cid, 'JER', 'Jersey', 1) ON DUPLICATE KEY UPDATE zone_id=zone_id;
INSERT INTO `oc_zone` (`zone_id`, `country_id`, `code`, `name`, `status`) VALUES (NULL, @cid, 'GUE', 'Guernsey', 1) ON DUPLICATE KEY UPDATE zone_id=zone_id;
INSERT INTO `oc_zone` (`zone_id`, `country_id`, `code`, `name`, `status`) VALUES (NULL, @cid, 'ALD', 'Alderney', 1) ON DUPLICATE KEY UPDATE zone_id=zone_id;
INSERT INTO `oc_zone` (`zone_id`, `country_id`, `code`, `name`, `status`) VALUES (NULL, @cid, 'SRK', 'Sark', 1) ON DUPLICATE KEY UPDATE zone_id=zone_id;
INSERT INTO `oc_zone` (`zone_id`, `country_id`, `code`, `name`, `status`) VALUES (NULL, @cid, 'HRM', 'Herm', 1) ON DUPLICATE KEY UPDATE zone_id=zone_id;

### Start 1.4.9.5
ALTER TABLE `oc_product` ADD `maximum` int(11) NOT NULL DEFAULT '0' COMMENT '' AFTER `minimum`;



### Start 1.5.0
CREATE TABLE IF NOT EXISTS `oc_affiliate` (
  `affiliate_id` int(11) NOT NULL AUTO_INCREMENT,
  `firstname` varchar(32) COLLATE utf8_bin NOT NULL DEFAULT '',
  `lastname` varchar(32) COLLATE utf8_bin NOT NULL DEFAULT '',
  `email` varchar(96) COLLATE utf8_bin NOT NULL DEFAULT '',
  `telephone` varchar(32) COLLATE utf8_bin NOT NULL DEFAULT '',
  `fax` varchar(32) COLLATE utf8_bin NOT NULL DEFAULT '',
  `password` varchar(40) COLLATE utf8_bin NOT NULL DEFAULT '',
  `company` varchar(32) COLLATE utf8_bin NOT NULL,
  `website` varchar(255) COLLATE utf8_bin NOT NULL,
  `address_1` varchar(128) COLLATE utf8_bin NOT NULL DEFAULT '',
  `address_2` varchar(128) COLLATE utf8_bin NOT NULL,
  `city` varchar(128) COLLATE utf8_bin NOT NULL DEFAULT '',
  `postcode` varchar(10) COLLATE utf8_bin NOT NULL DEFAULT '',
  `country_id` int(11) NOT NULL,
  `zone_id` int(11) NOT NULL,
  `code` varchar(64) COLLATE utf8_bin NOT NULL,
  `commission` decimal(4,2) NOT NULL DEFAULT '0.00',
  `tax` varchar(64) COLLATE utf8_bin NOT NULL,
  `payment` varchar(6) COLLATE utf8_bin NOT NULL,
  `cheque` varchar(100) COLLATE utf8_bin NOT NULL DEFAULT '',
  `paypal` varchar(64) COLLATE utf8_bin NOT NULL DEFAULT '',
  `bank_name` varchar(64) COLLATE utf8_bin NOT NULL DEFAULT '',
  `bank_branch_number` varchar(64) COLLATE utf8_bin NOT NULL DEFAULT '',
  `bank_swift_code` varchar(64) COLLATE utf8_bin NOT NULL DEFAULT '',
  `bank_account_name` varchar(64) COLLATE utf8_bin NOT NULL DEFAULT '',
  `bank_account_number` varchar(64) COLLATE utf8_bin NOT NULL DEFAULT '',
  `ip` varchar(15) COLLATE utf8_bin NOT NULL,
  `status` int(1) NOT NULL,
  `approved` int(1) NOT NULL,
  `date_added` datetime NOT NULL,
  PRIMARY KEY (`affiliate_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_bin;


CREATE TABLE IF NOT EXISTS `oc_affiliate_transaction` (
  `affiliate_transaction_id` int(11) NOT NULL AUTO_INCREMENT,
  `affiliate_id` int(11) NOT NULL,
  `order_id` int(11) NOT NULL,
  `description` text COLLATE utf8_bin NOT NULL,
  `amount` decimal(15,4) NOT NULL,
  `date_added` datetime NOT NULL,
  PRIMARY KEY (`affiliate_transaction_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

CREATE TABLE IF NOT EXISTS `oc_attribute` (
  `attribute_id` int(11) NOT NULL AUTO_INCREMENT,
  `attribute_group_id` int(11) NOT NULL,
  `sort_order` int(3) NOT NULL,
  PRIMARY KEY (`attribute_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

CREATE TABLE IF NOT EXISTS `oc_attribute_description` (
  `attribute_id` int(11) NOT NULL,
  `language_id` int(11) NOT NULL,
  `name` varchar(64) COLLATE utf8_bin NOT NULL,
  PRIMARY KEY (`attribute_id`,`language_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

CREATE TABLE IF NOT EXISTS `oc_attribute_group` (
  `attribute_group_id` int(11) NOT NULL AUTO_INCREMENT,
  `sort_order` int(3) NOT NULL,
  PRIMARY KEY (`attribute_group_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

CREATE TABLE IF NOT EXISTS `oc_attribute_group_description` (
  `attribute_group_id` int(11) NOT NULL,
  `language_id` int(11) NOT NULL,
  `name` varchar(64) COLLATE utf8_bin NOT NULL,
  PRIMARY KEY (`attribute_group_id`,`language_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

CREATE TABLE IF NOT EXISTS `oc_banner` (
  `banner_id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(64) COLLATE utf8_bin NOT NULL,
  `status` int(1) NOT NULL,
  PRIMARY KEY (`banner_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

CREATE TABLE IF NOT EXISTS `oc_banner_image` (
  `banner_image_id` int(11) NOT NULL AUTO_INCREMENT,
  `banner_id` int(11) NOT NULL,
  `link` varchar(255) COLLATE utf8_bin NOT NULL,
  `image` varchar(255) COLLATE utf8_bin NOT NULL,
  PRIMARY KEY (`banner_image_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

CREATE TABLE IF NOT EXISTS `oc_banner_image_description` (
  `banner_image_id` int(11) NOT NULL,
  `language_id` int(11) NOT NULL,
  `banner_id` int(11) NOT NULL,
  `title` varchar(64) COLLATE utf8_bin NOT NULL,
  PRIMARY KEY (`banner_image_id`,`language_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

CREATE TABLE IF NOT EXISTS `oc_category_to_layout` (
  `category_id` int(11) NOT NULL,
  `store_id` int(11) NOT NULL,
  `layout_id` int(11) NOT NULL,
  PRIMARY KEY (`category_id`,`store_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

CREATE TABLE IF NOT EXISTS `oc_coupon_history` (
  `coupon_history_id` int(11) NOT NULL AUTO_INCREMENT,
  `coupon_id` int(11) NOT NULL,
  `order_id` int(11) NOT NULL,
  `customer_id` int(11) NOT NULL,
  `amount` decimal(15,4) NOT NULL DEFAULT '0.00',
  `date_added` datetime NOT NULL,
  PRIMARY KEY (`coupon_history_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

CREATE TABLE IF NOT EXISTS `oc_customer_ip` (
  `customer_ip_id` int(11) NOT NULL AUTO_INCREMENT,
  `customer_id` int(11) NOT NULL,
  `ip` varchar(15) COLLATE utf8_bin NOT NULL,
  `date_added` datetime NOT NULL,
  PRIMARY KEY (`customer_ip_id`),
  KEY `ip` (`ip`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

CREATE TABLE IF NOT EXISTS `oc_customer_reward` (
  `customer_reward_id` int(11) NOT NULL AUTO_INCREMENT,
  `customer_id` int(11) NOT NULL DEFAULT '0',
  `order_id` int(11) NOT NULL DEFAULT '0',
  `description` text COLLATE utf8_bin NOT NULL,
  `points` int(8) NOT NULL DEFAULT '0',
  `date_added` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`customer_reward_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

CREATE TABLE IF NOT EXISTS `oc_customer_transaction` (
  `customer_transaction_id` int(11) NOT NULL AUTO_INCREMENT,
  `customer_id` int(11) NOT NULL,
  `order_id` int(11) NOT NULL,
  `description` text COLLATE utf8_bin NOT NULL,
  `amount` decimal(15,4) NOT NULL,
  `date_added` datetime NOT NULL,
  PRIMARY KEY (`customer_transaction_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

CREATE TABLE IF NOT EXISTS `oc_information_to_layout` (
  `information_id` int(11) NOT NULL,
  `store_id` int(11) NOT NULL,
  `layout_id` int(11) NOT NULL,
  PRIMARY KEY (`information_id`,`store_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

CREATE TABLE IF NOT EXISTS `oc_layout` (
  `layout_id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(64) COLLATE utf8_bin NOT NULL,
  PRIMARY KEY (`layout_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

CREATE TABLE IF NOT EXISTS `oc_layout_route` (
  `layout_route_id` int(11) NOT NULL AUTO_INCREMENT,
  `layout_id` int(11) NOT NULL,
  `store_id` int(11) NOT NULL,
  `route` varchar(255) COLLATE utf8_bin NOT NULL,
  PRIMARY KEY (`layout_route_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

CREATE TABLE IF NOT EXISTS `oc_option` (
  `option_id` int(11) NOT NULL AUTO_INCREMENT,
  `type` varchar(32) COLLATE utf8_bin NOT NULL,
  `sort_order` int(3) NOT NULL,
  PRIMARY KEY (`option_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

##IBBoard Options Fix
INSERT INTO `oc_option` (`option_id`, `type`, `sort_order`)
SELECT `product_option_id`, "select", `sort_order` FROM `oc_product_option`;
##End IBBoard Options Fix

CREATE TABLE IF NOT EXISTS `oc_option_description` (
  `option_id` int(11) NOT NULL,
  `language_id` int(11) NOT NULL,
  `name` varchar(128) COLLATE utf8_bin NOT NULL,
  PRIMARY KEY (`option_id`,`language_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

##IBBoard Options Fix
INSERT INTO `oc_option_description` (`option_id`, `language_id`, `name`)
SELECT `product_option_id`, `language_id`, `name` FROM `oc_product_option_description`;
##End IBBoard Options Fix

CREATE TABLE IF NOT EXISTS `oc_option_value` (
  `option_value_id` int(11) NOT NULL AUTO_INCREMENT,
  `option_id` int(11) NOT NULL,
  `sort_order` int(3) NOT NULL,
  PRIMARY KEY (`option_value_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

##IBBoard Options Fix
INSERT INTO `oc_option_value` (`option_value_id`, `option_id`, `sort_order`)
SELECT `product_option_value_id`, `product_option_id`, `sort_order` FROM `oc_product_option_value`;
##End IBBoard Options Fix

CREATE TABLE IF NOT EXISTS `oc_option_value_description` (
  `option_value_id` int(11) NOT NULL,
  `language_id` int(11) NOT NULL,
  `option_id` int(11) NOT NULL,
  `name` varchar(128) COLLATE utf8_bin NOT NULL,
  PRIMARY KEY (`option_value_id`,`language_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

##IBBoard Options Fix
INSERT INTO `oc_option_value_description` (`option_value_id`, `language_id`, `option_id`, `name`)
SELECT  `pov`.`product_option_value_id` ,  `language_id` ,  `pov`.`product_option_id` ,  `name` 
FROM  `oc_product_option_value_description` AS `povd` INNER JOIN `oc_product_option_value` AS `pov` ON `pov`.`product_option_value_id` =  `povd`.`product_option_value_id`;
##End IBBoard Options Fix

CREATE TABLE IF NOT EXISTS `oc_product_attribute` (
  `product_id` int(11) NOT NULL,
  `attribute_id` int(11) NOT NULL,
  `language_id` int(11) NOT NULL,
  `text` text COLLATE utf8_bin NOT NULL,
  PRIMARY KEY (`product_id`,`attribute_id`,`language_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

CREATE TABLE IF NOT EXISTS `oc_product_reward` (
  `product_reward_id` int(11) NOT NULL AUTO_INCREMENT,
  `product_id` int(11) NOT NULL DEFAULT '0',
  `customer_group_id` int(11) NOT NULL DEFAULT '0',
  `points` int(8) NOT NULL DEFAULT '0',
  PRIMARY KEY (`product_reward_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

CREATE TABLE IF NOT EXISTS `oc_product_tag` (
  `product_tag_id` int(11) NOT NULL AUTO_INCREMENT,
  `product_id` int(11) NOT NULL,
  `language_id` int(11) NOT NULL,
  `tag` varchar(32) COLLATE utf8_bin NOT NULL,
  PRIMARY KEY (`product_tag_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

CREATE TABLE IF NOT EXISTS `oc_product_to_layout` (
  `product_id` int(11) NOT NULL,
  `store_id` int(11) NOT NULL,
  `layout_id` int(11) NOT NULL,
  PRIMARY KEY (`product_id`,`store_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

CREATE TABLE IF NOT EXISTS `oc_return` (
  `return_id` int(11) NOT NULL AUTO_INCREMENT,
  `order_id` int(11) NOT NULL,
  `date_ordered` date NOT NULL,
  `customer_id` int(11) NOT NULL,
  `firstname` varchar(32) COLLATE utf8_bin NOT NULL,
  `lastname` varchar(32) COLLATE utf8_bin NOT NULL,
  `email` varchar(96) COLLATE utf8_bin NOT NULL,
  `telephone` varchar(32) COLLATE utf8_bin NOT NULL,
  `return_status_id` int(11) NOT NULL,
  `comment` text COLLATE utf8_bin,
  `date_added` datetime NOT NULL,
  `date_modified` datetime NOT NULL,
  PRIMARY KEY (`return_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

CREATE TABLE IF NOT EXISTS `oc_return_action` (
  `return_action_id` int(11) NOT NULL AUTO_INCREMENT,
  `language_id` int(11) NOT NULL DEFAULT '0',
  `name` varchar(64) COLLATE utf8_bin NOT NULL DEFAULT '',
  PRIMARY KEY (`return_action_id`,`language_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

CREATE TABLE IF NOT EXISTS `oc_return_history` (
  `return_history_id` int(11) NOT NULL AUTO_INCREMENT,
  `return_id` int(11) NOT NULL,
  `return_status_id` int(11) NOT NULL,
  `notify` int(1) NOT NULL,
  `comment` text COLLATE utf8_bin NOT NULL,
  `date_added` datetime NOT NULL,
  PRIMARY KEY (`return_history_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

CREATE TABLE IF NOT EXISTS `oc_return_product` (
  `return_product_id` int(11) NOT NULL AUTO_INCREMENT,
  `return_id` int(11) NOT NULL,
  `product_id` int(11) NOT NULL,
  `name` varchar(255) COLLATE utf8_bin NOT NULL,
  `model` varchar(64) COLLATE utf8_bin NOT NULL,
  `quantity` int(4) NOT NULL,
  `return_reason_id` int(11) NOT NULL,
  `opened` int(1) NOT NULL,
  `comment` text COLLATE utf8_bin NOT NULL,
  `return_action_id` int(11) NOT NULL,
  PRIMARY KEY (`return_product_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

CREATE TABLE IF NOT EXISTS `oc_return_reason` (
  `return_reason_id` int(11) NOT NULL AUTO_INCREMENT,
  `language_id` int(11) NOT NULL DEFAULT '0',
  `name` varchar(128) COLLATE utf8_bin NOT NULL DEFAULT '',
  PRIMARY KEY (`return_reason_id`,`language_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

CREATE TABLE IF NOT EXISTS `oc_voucher` (
  `voucher_id` int(11) NOT NULL AUTO_INCREMENT,
  `order_id` int(11) NOT NULL,
  `code` varchar(10) COLLATE utf8_bin NOT NULL,
  `from_name` varchar(64) COLLATE utf8_bin NOT NULL,
  `from_email` varchar(96) COLLATE utf8_bin NOT NULL,
  `to_name` varchar(64) COLLATE utf8_bin NOT NULL,
  `to_email` varchar(96) COLLATE utf8_bin NOT NULL,
  `message` text COLLATE utf8_bin NOT NULL,
  `amount` decimal(15,4) NOT NULL,
  `voucher_theme_id` int(11) NOT NULL,
  `status` int(1) NOT NULL,
  `date_added` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`voucher_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

CREATE TABLE IF NOT EXISTS `oc_voucher_history` (
  `voucher_history_id` int(11) NOT NULL AUTO_INCREMENT,
  `voucher_id` int(11) NOT NULL,
  `order_id` int(11) NOT NULL,
  `amount` decimal(15,4) NOT NULL,
  `date_added` datetime NOT NULL,
  PRIMARY KEY (`voucher_history_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

CREATE TABLE IF NOT EXISTS `oc_voucher_theme` (
  `voucher_theme_id` int(11) NOT NULL AUTO_INCREMENT,
  `image` varchar(255) COLLATE utf8_bin NOT NULL,
  PRIMARY KEY (`voucher_theme_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

CREATE TABLE IF NOT EXISTS `oc_voucher_theme_description` (
  `voucher_theme_id` int(11) NOT NULL,
  `language_id` int(11) NOT NULL,
  `name` varchar(32) COLLATE utf8_bin NOT NULL,
  PRIMARY KEY (`voucher_theme_id`,`language_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

CREATE TABLE IF NOT EXISTS `oc_return_status` (
  `return_status_id` int(11) NOT NULL AUTO_INCREMENT,
  `language_id` int(11) NOT NULL DEFAULT '0',
  `name` varchar(32) COLLATE utf8_bin NOT NULL DEFAULT '',
  PRIMARY KEY (`return_status_id`,`language_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

INSERT INTO `oc_return_status` (`return_status_id`, `language_id`, `name`) VALUES (1, 1, 'Pending'), (3, 1, 'Complete'), (2, 1, 'Awaiting Products') ON DUPLICATE KEY UPDATE return_status_id=return_status_id;

ALTER TABLE `oc_country` ALTER `postcode_required` DROP DEFAULT;

ALTER TABLE `oc_category` ADD `top` int(1) DEFAULT 0 AFTER parent_id, ADD `column` int(3) DEFAULT 0 AFTER top, ALTER `status` DROP DEFAULT;

ALTER TABLE `oc_category_description` CHANGE `meta_keywords` `meta_keyword` varchar(255) NOT NULL DEFAULT '' COLLATE utf8_bin;

ALTER TABLE `oc_customer` ADD `wishlist` text NULL DEFAULT NULL COMMENT '' COLLATE utf8_bin AFTER cart, ALTER `approved` DROP DEFAULT;

# move coupon_description 'name' column to coupon table
ALTER TABLE `oc_coupon` ADD `name` varchar(128) NOT NULL DEFAULT '' COLLATE utf8_bin AFTER coupon_id;
UPDATE `oc_coupon` c INNER JOIN `oc_coupon_description` cd on (cd.coupon_id = c.coupon_id) set c.name = cd.name;
DROP TABLE `oc_coupon_description`;

ALTER TABLE `oc_extension` CHANGE `key` `code` varchar(32) NOT NULL DEFAULT '' COLLATE utf8_bin;

ALTER TABLE `oc_order` CHANGE `invoice_id` `invoice_no` int(11) NOT NULL DEFAULT '0';
ALTER TABLE `oc_order` CHANGE `currency` `currency_code` varchar(3) NOT NULL DEFAULT '';
ALTER TABLE `oc_order` CHANGE `value` `currency_value` decimal(15,8) NOT NULL DEFAULT '';

ALTER TABLE `oc_user` ADD `code` varchar(32) NOT NULL DEFAULT '' COLLATE utf8_bin AFTER email;

# move order 'coupon_id' column to coupon_history table. Amount of coupon not transferred as there is no history of that.
INSERT INTO `oc_coupon_history` (coupon_id, order_id, customer_id, date_added) SELECT coupon_id, order_id, customer_id, date_added FROM `oc_order` WHERE coupon_id > 0;

ALTER TABLE `oc_order` ADD `reward` int(8) NOT NULL DEFAULT 0 COMMENT '' AFTER total;
ALTER TABLE `oc_order` ADD `affiliate_id` int(11) NOT NULL DEFAULT 0 COMMENT '' AFTER order_status_id;
ALTER TABLE `oc_order` ADD `commission` decimal(15,4) NOT NULL DEFAULT '' COMMENT '' AFTER affiliate_id;
ALTER TABLE `oc_order` MODIFY `invoice_prefix` varchar(10) NOT NULL DEFAULT '' COMMENT '' COLLATE utf8_bin;
ALTER TABLE `oc_order` DROP `invoice_date`;
ALTER TABLE `oc_order` DROP `coupon_id`;
ALTER TABLE `oc_order` ALTER `date_modified` DROP DEFAULT;
ALTER TABLE `oc_order` ALTER `date_added` DROP DEFAULT;


ALTER TABLE `oc_order_product` ALTER `quantity` DROP DEFAULT;

# Maximum and Cost were dropped at this point so I cant really port them yet.
ALTER TABLE `oc_product` ADD `upc` varchar(12) NOT NULL DEFAULT '' COLLATE utf8_bin AFTER sku;
ALTER TABLE `oc_product` ADD `points` int(8) NOT NULL DEFAULT '0' AFTER price;
ALTER TABLE `oc_product` DROP `maximum`;
ALTER TABLE `oc_product` DROP `cost`;

ALTER TABLE `oc_product_description` CHANGE `meta_keywords` `meta_keyword` varchar(255) NOT NULL DEFAULT '' COLLATE utf8_bin;

# not going to bother converting
DROP TABLE `oc_product_featured`;

ALTER TABLE `oc_product_related` DROP INDEX `product_id`;

# move order 'coupon_id' column to coupon_history table. Amount of coupon not transferred as there is no history of that.
INSERT INTO `oc_product_tag` (product_id, language_id, tag) SELECT product_id, language_id, tag FROM `oc_product_tags`;
DROP TABLE `oc_product_tags`;

ALTER TABLE `oc_setting` ADD `store_id` int(11) NOT NULL DEFAULT '0' AFTER setting_id;

# convert store to new store
ALTER TABLE `oc_store` MODIFY `ssl` varchar(255) NOT NULL DEFAULT '' COMMENT '' COLLATE utf8_bin;

# !!!!!!!!!!!!!!!!!!!!!!
# The store column drops were moved to the upgrade.php file
# !!!!!!!!!!!!!!!!!!!!!!

DROP TABLE `oc_store_description`;

# not sure how this will work without a default code.
ALTER TABLE `oc_order_total` ADD `code` varchar(32) NOT NULL DEFAULT '' COMMENT '' COLLATE utf8_bin AFTER order_id;

# Add default layouts to the cart
INSERT INTO `oc_layout` (`layout_id`, `name`) VALUES (1, 'Home'),(2, 'Product'),(3, 'Category'),(4, 'Default'),(5, 'Manufacturer'),(6, 'Account'),(7, 'Checkout'),(8, 'Contact'),(9, 'Sitemap'),(10, 'Affiliate'),(11, 'Information') ON DUPLICATE KEY UPDATE layout_id=layout_id;
INSERT INTO `oc_layout_route` (`layout_route_id`, `layout_id`, `store_id`, `route`) VALUES(30, 6, 0, 'account'),(17, 10, 0, 'affiliate/'),(29, 3, 0, 'product/category'),(26, 1, 0, 'common/home'),(20, 2, 0, 'product/product'),(24, 11, 0, 'information/information'),(22, 5, 0, 'product/manufacturer'),(23, 7, 0, 'checkout/'),(31, 8, 0, 'information/contact') ON DUPLICATE KEY UPDATE layout_route_id=layout_route_id;

# Delete existing saved carts for ALL customers since they serialization has changed
UPDATE `oc_customer` SET cart = '';

##IBBoard Options Fix
##    This does not do a pretty job of consolidating the data, but any data copied is better than none
##    if you have lots of product option values

ALTER TABLE `oc_order_option` ADD `product_option_id` int(11) NOT NULL AFTER `order_product_id`;
ALTER TABLE `oc_order_option` ADD `type` varchar(32) NOT NULL DEFAULT '' COLLATE utf8_bin;
#ALTER TABLE `oc_order_option` ADD `price` decimal(15,4) NOT NULL DEFAULT 0 AFTER `value`;
ALTER TABLE `oc_order_option` CHANGE `value` `value` text NOT NULL DEFAULT '' COLLATE utf8_bin;

ALTER TABLE `oc_product_option` DROP `sort_order`;
ALTER TABLE `oc_product_option` ADD `option_id` int(11) NOT NULL AFTER `product_id`;
ALTER TABLE `oc_product_option` ADD `option_value` text NOT NULL COLLATE utf8_bin AFTER `option_id`;
ALTER TABLE `oc_product_option` ADD `required` tinyint(1) NOT NULL DEFAULT 0 AFTER `option_value`;

UPDATE `oc_product_option` SET `option_id` = `product_option_id`, `required` = 1;

ALTER TABLE `oc_product_option_value` DROP `sort_order`;
ALTER TABLE `oc_product_option_value` ADD `option_id` int(11) NOT NULL AFTER `product_id`;
ALTER TABLE `oc_product_option_value` ADD `option_value_id` int(11) NOT NULL AFTER `option_id`;
ALTER TABLE `oc_product_option_value` ADD `points` int(8) NOT NULL;
ALTER TABLE `oc_product_option_value` ADD `points_prefix` varchar(1) COLLATE utf8_bin NOT NULL;
ALTER TABLE `oc_product_option_value` ADD `weight` decimal(15,8) NOT NULL;
ALTER TABLE `oc_product_option_value` ADD `weight_prefix` varchar(1) COLLATE utf8_bin NOT NULL;
ALTER TABLE `oc_product_option_value` CHANGE `quantity` `quantity` int(3) NOT NULL;
ALTER TABLE `oc_product_option_value` CHANGE `prefix` `price_prefix` varchar(1) NOT NULL COLLATE utf8_bin;

UPDATE `oc_product_option_value` SET `option_id` = `product_option_id`, `option_value_id` = `product_option_value_id`;

DROP TABLE IF EXISTS `oc_product_option_description`;
DROP TABLE IF EXISTS `oc_product_option_value_description`;
##End IBBoard Options Fix

#### START 1.5.1

ALTER TABLE `oc_affiliate` MODIFY `status` tinyint(1) NOT NULL DEFAULT 0 COMMENT '';
ALTER TABLE `oc_affiliate` MODIFY `approved` tinyint(1) NOT NULL DEFAULT 0 COMMENT '';
ALTER TABLE `oc_banner` MODIFY `status` tinyint(1) NOT NULL DEFAULT 0 COMMENT '';
ALTER TABLE `oc_category` MODIFY `top` tinyint(1) NOT NULL DEFAULT 0 COMMENT '';
ALTER TABLE `oc_category` MODIFY `status` tinyint(1) NOT NULL DEFAULT 0 COMMENT '';
ALTER TABLE `oc_country` MODIFY `postcode_required` tinyint(1) NOT NULL DEFAULT 0 COMMENT '';
ALTER TABLE `oc_country` MODIFY `status` tinyint(1) NOT NULL DEFAULT '1' COMMENT '';
ALTER TABLE `oc_coupon` MODIFY `logged` tinyint(1) NOT NULL DEFAULT 0 COMMENT '';
ALTER TABLE `oc_coupon` MODIFY `shipping` tinyint(1) NOT NULL DEFAULT 0 COMMENT '';
ALTER TABLE `oc_coupon` MODIFY `status` tinyint(1) NOT NULL DEFAULT 0 COMMENT '';
ALTER TABLE `oc_currency` MODIFY `status` tinyint(1) NOT NULL DEFAULT 0 COMMENT '';
ALTER TABLE `oc_customer` MODIFY `newsletter` tinyint(1) NOT NULL DEFAULT '0' COMMENT '';
ALTER TABLE `oc_customer`  MODIFY `status` tinyint(1) NOT NULL DEFAULT 0 COMMENT '';
ALTER TABLE `oc_customer`  MODIFY `approved` tinyint(1) NOT NULL DEFAULT 0 COMMENT '';
ALTER TABLE `oc_information` MODIFY `status` tinyint(1) NOT NULL DEFAULT '1' COMMENT '';
ALTER TABLE `oc_language` MODIFY `status` tinyint(1) NOT NULL DEFAULT 0 COMMENT '';
ALTER TABLE `oc_order_history` MODIFY `notify` tinyint(1) NOT NULL DEFAULT '0' COMMENT '';
ALTER TABLE `oc_product` MODIFY `shipping` tinyint(1) NOT NULL DEFAULT '1' COMMENT '';
ALTER TABLE `oc_product` MODIFY `subtract` tinyint(1) NOT NULL DEFAULT '1' COMMENT '';
ALTER TABLE `oc_product` MODIFY `status` tinyint(1) NOT NULL DEFAULT '0' COMMENT '';
ALTER TABLE `oc_product_option` MODIFY `required` tinyint(1) NOT NULL DEFAULT 0 COMMENT '';
ALTER TABLE `oc_product_option_value` MODIFY `subtract` tinyint(1) NOT NULL DEFAULT 0 COMMENT '';
ALTER TABLE `oc_return_history` MODIFY `notify` tinyint(1) NOT NULL DEFAULT 0 COMMENT '';
ALTER TABLE `oc_return_product` MODIFY `opened` tinyint(1) NOT NULL DEFAULT 0 COMMENT '';
ALTER TABLE `oc_review` MODIFY `status` tinyint(1) NOT NULL DEFAULT '0' COMMENT '';
ALTER TABLE `oc_user` MODIFY `status` tinyint(1) NOT NULL DEFAULT 0 COMMENT '';
ALTER TABLE `oc_voucher` MODIFY `status` tinyint(1) NOT NULL DEFAULT 0 COMMENT '';
ALTER TABLE `oc_zone`  MODIFY `status` tinyint(1) NOT NULL DEFAULT '1' COMMENT '';
ALTER TABLE `oc_setting` ADD `serialized` tinyint(1) NOT NULL DEFAULT 0 COMMENT '' AFTER value;

# END OF THE NON-PRESERVED OPTIONS VERSION


